# PROJECT OVERVIEW

This is the fifth project for our OJT. A simple CRUD User Management System. I utilized what I learned from the previous projects that assigned to me for the past couple of days.

<hr>

![Overview](https://user-images.githubusercontent.com/63532775/220000995-3d53a694-6700-4da6-8c82-1020b0d252c0.gif)

## ADD NEW USER

![Add Task](https://user-images.githubusercontent.com/63532775/220000634-74bddc6e-5afc-4ca8-bb58-879e47e46359.gif)

## UPDATE USER DETAILS

![Update User](https://user-images.githubusercontent.com/63532775/220000857-a5cae7bb-8d8b-4b58-997b-62d2c2e63659.gif)

## DELETE USER

![Delete User](https://user-images.githubusercontent.com/63532775/220000760-ecb37c6e-7d30-4998-99c0-913fc65b238c.gif)

### What I Learned from this project?

- Learned the Fundamentals of Vue.js such as v-directives, conditional rendering, and some of the basics of Composition API and Composables.
- Learned how to use QTable and how to modify it such as changing the colors, how to make a certain column sortable, and how to render a button component for each cell.
- Although the project must use the JSONPlaceholder data, I notice that the new added user or value is not really persist at the server, I also utilize JSON-SERVER for the data so that I can also implement AJAX request using Axios.
- Implemented the basics of HTTP Reqeuest (GET, POST, PUT, and DELETE)
- Learned how to use other components such as QLoader, and QDialog.
- Learned how to setup basic routing.
- Learned how to handle forms such as utilizing regular expressions at :rules of each input fields.

<hr>

### Technologies Used

- Vue.js
- Quasar
- Axios

<hr>

**Created by:** Adrian Nads L. Marcelo

Links and Socials:

Portfolio: https://adriandotdev.netlify.app/

LinkedIn: https://www.linkedin.com/in/adrian-marcelo/

Github: https://github.com/adriandotdev/
